------------------------------------------------------------------------------------
--Name:  	juqing4
--Creator:	由剧情表现脚本编辑器生成
--Created:	2025-05-06
------------------------------------------------------------------------------------

CppScriptMgr:SetViewPosByCell(135, 132)
CppScriptMgr:SetViewScale(200)
local npc_0 = CppScriptMgr:AddSimplePlayer(1065180, 131, 122, "", 0, 0)
npc_0:WalkTo(131, 142)
npc_0:Say("This theme zone is surprisingly immersive and well-designed!", 2500)
local npc_1 = CppScriptMgr:AddSimplePlayer(1060180, 138, 120, "", 0, 0)
npc_1:WalkTo(138, 140)
local npc_3 = CppScriptMgr:AddSimplePlayer(1063154, 135, 153, "", 0, 0)
npc_3:SetDir(4)
npc_3:RunTo(136, 112)
local monster_0 = CppScriptMgr:AddPlayer(137, 135, 151, "", 0, 0)
monster_0:Say("Daddy daddy! Hurry up! I wanna ride the Carousel!", 2500)
monster_0:RunTo(135, 111)
monster_0:SetDir(4)
local npc_2 = CppScriptMgr:AddSimplePlayer(1055450, 144, 128, "", 0, 0)
npc_2:SetDir(0)
npc_2:SetArmor(196185, 0, 1)
npc_2:SetHair(37, 1)
npc_2:SetZoomPercent(130)
npc_2:SetAction(101)
npc_2:Say("Time to ask Suyi for more staff support!", 2500)
local npc_4 = CppScriptMgr:AddSimplePlayer(1055450, 128, 128, "", 0, 0)
npc_4:SetDir(0)
npc_4:SetArmor(196185, 0, 1)
npc_4:SetHair(37, 1)
npc_4:SetZoomPercent(130)
npc_4:SetAction(101)
local effect_0 = CppScriptMgr:AddEffect("Fruits_xhc", 134, 135, 33, 1, 1, 1)
local effect_1 = CppScriptMgr:AddEffect("Fruits_xhc", 124, 140, 33, 1, 1, 1)
local effect_3 = CppScriptMgr:AddEffect("Fruits_xhc", 149, 137, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(2500)
npc_1:Say("Rides are great, but the lines are long. It would be better if the system is optimized.", 2500)
npc_3:Say("Slow down! Don`t trip!", 2500)
CppScriptMgr:WaitMilSec(490)
npc_4:Say("The park is growing famous!", 2500)
CppScriptMgr:WaitMilSec(2010)